<h1><?= $this->title; ?></h1>
<?php  
if (!empty($this->groups)) {
    include_once 'i_search.phtml';  
}
include 'i_page.phtml';
if (!empty($this->products)) { 
    $cart = new Zend_Session_Namespace('Cart');
    $client = new Zend_Http_Client(); ?>
<table class="product-table">
    <thead>
        <tr>
            <td>&nbsp;</td>
            <td>ID</td>
            <td>produkt</td>            
            <td>výrobce</td>
            <td>info</td>
            <td>velikost</td>
            <td>cena</td>            
            <td>&nbsp;</td>
            <td style="width: 40px">košík</td>
        </tr>
    </thead>
    <tbody>
        <?php
        $color = 'dark';
        $index = $this->page - 1;
        foreach ($this->products[$index] as $value) {
            $subcatidarray = explode(";", $value['subcategory_id']);
            $client->setUri(IMG_URL . 'images/eshop_products/m/' . $value['product_id'] . '.jpg');
            $response = $client->request(); 
            $headers = $response->getHeaders(); 
            if (isset($headers['Content-type']) && stristr($headers['Content-type'], 'image')) { ?>
                <td style="padding: 0;">
                    <div class="product-imageholder border-style">
                        <img src="<?= IMG_URL ?>images/eshop_products/s/<?= $value['product_id'] ?>.jpg" class='product-image' alt='<?= $value['title'] ?>'/>
                    </div>
                </td>
            <?php } else { ?>
                <td style="padding: 0;">
                    <div class="product-imageholder border-style">
                        <img src="<?= IMG_URL ?>images/eshop_subcategories/<?= array_shift($subcatidarray) ?>-s.jpg" class='product-image' alt='<?= $value['title'] ?>'/>
                    </div>
                </td>
            <?php } ?>    
                <td style="font-size: 10px; padding-top: 20px;">
                    <?= $value['product_id'] ?>
                </td>
                <td style="max-width: 200px;">
                    <a href='/eshop/product/?product_id=<?= $value['product_id'] ?>'>
                        <?= $value['title'] ?>
                    </a>
                </td>
                <td>
                    <?= $value['producer'] ?>
                </td>
                <td style="font-size: 14px; max-width: 300px;">
                    <?= $value['text'] ?>
                </td>
                <td style="width: 60px;">
                    <?= $value['size'] ?>
                </td>
                <td style="align: right">
                    <?= $value['price'] ?>&nbsp;kč
                </td>
                <td style="max-width: 100px;">
                    <?php 
                    if ($value['status'] == '1') { ?> 
                    <form method='post' action='/eshop/cart/add/'>
                        <input type='hidden' name='product_id' value='<?= $value['product_id'] ?>'/>
                        <input type='hidden' name='redirect' value='<?= $_SERVER['REQUEST_URI'] ?>'/>
                        <input type='text' name='quantity' value='1' style='width: 68px'/>
                        <input type='submit' class='bg-green border-style-light shadowout-lite active center' style='width: 70px'  value='Přidat'/>
                    </form>
                    <?php } else { ?>
                        <div class='bg-red border-style-light shadowout-lite center' style='width: 70px; font-weight: bold'>není na skladě</div>
                    <?php } ?>
                </td>
                <td style="text-align: center">
                    <?= (isset($cart->$value['product_id'])) ? "<img src='/graphics/kosik.png' class='cart-image-small' />" : "&nbsp;" ?>
                    <?= (isset($cart->$value['product_id'])) ? "<div class='cart-number-small glow'>".$cart->$value['product_id']->quantity."</div>" : "" ?>
                </td>
            </tr>
            <?php 
            if ($color == 'dark') {
                $color = 'light';
            } else {
                $color = 'dark';
            }
        }
?>
    </tbody>
</table>
<?php 
include 'i_page.phtml';
} else {
?>
<h2>V této kategorii zrovna nic není...</h2>
<?php } ?>
